Last Comment Bug 685456 - Don't freeze tabItem size when the tab wasn't closed by a mouse click
: Don't freeze tabItem size when the tab wasn't closed by a mouse click
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 9
Assigned To: Tim Taubert [:ttaubert]
:
Mentors:
Depends on:
Blocks: 625955
  Show dependency treegraph
 
Reported: 2011-09-08 00:58 PDT by Tim Taubert [:ttaubert]
Modified: 2016-04-12 14:00 PDT (History)
1 user (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch v1 (4.62 KB, patch)
2011-09-08 01:01 PDT, Tim Taubert [:ttaubert]
dietrich: review+
Details | Diff | Splinter Review

Description Tim Taubert [:ttaubert] 2011-09-08 00:58:44 PDT
When closing a tab we're freezing the tabItem size just as we do for "real" tabs on the tab strip to provide a better UX for mouse users. This effect is really unexpected if you write a test (or some piece of code) that uses gBroser.removeTab(). We should only freeze if the tabItem was closed by a mouse click (on the X or via a middle click).
Comment 1 Tim Taubert [:ttaubert] 2011-09-08 01:01:21 PDT
Created attachment 559072 [details] [diff] [review]
patch v1
Comment 2 Tim Taubert [:ttaubert] 2011-09-26 19:48:23 PDT
https://hg.mozilla.org/integration/fx-team/rev/74dcfaa95ad2
Comment 3 Tim Taubert [:ttaubert] 2011-09-27 04:39:02 PDT
https://hg.mozilla.org/mozilla-central/rev/74dcfaa95ad2

Note You need to log in before you can comment on or make changes to this bug.